| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.OpenGL.General

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Methods
  Query
  Fonts

Description
Synopsis

initGL :: IO [String]
glQueryExtension :: IO Bool
glQueryExtensionForDisplay :: Display -> IO Bool
glQueryGLExtension :: String -> IO Bool
glQueryVersion :: IO (Maybe (Int, Int))
glQueryVersionForDisplay :: Display -> IO (Maybe (Int, Int))
glFontUsePangoFont :: FontDescription -> Int -> Int -> Int -> IO Font
glFontUsePangoFontForDisplay :: Display -> FontDescription -> Int -> Int -> Int -> IO Font

Methods
initGL :: IO [String]
Query
glQueryExtension :: IO Bool
glQueryExtensionForDisplay :: Display -> IO Bool
glQueryGLExtension :: String -> IO Bool
glQueryVersion :: IO (Maybe (Int, Int))
glQueryVersionForDisplay :: Display -> IO (Maybe (Int, Int))
Fonts
glFontUsePangoFont :: FontDescription -> Int -> Int -> Int -> IO Font
glFontUsePangoFontForDisplay :: Display -> FontDescription -> Int -> Int -> Int -> IO Font
Produced by Haddock version 2.4.2